Subject: Trying to understand alloc_skb()

From: Daniel Ann <[email-masked]>
Date: Tue, 12 Apr 2005 17:38:01 +0900

Hiya folks,

I'm wondering if anyone could help me out with problem I have in alloc_skb().

My problem is that, kernel dies with "alloc_skb called nonatomically
from interrupt c00ba718" message. After browsing mailing list, I think
its to do with not providing it with enough locks prior.

Question is, what kind of lock should I be providing ?

Since I have no clue as to which lock does what, I really need some
good advise as to where to start looking.

Could someone tell me the inside story on this ?

-- 
Daniel